import { IDataSourceDataProvider } from "./IDataSourceDataProvider";
import { IDataSourcePage } from "./IDataSourcePage";
import { DataSourcePageRequestPriority } from "./DataSourcePageRequestPriority";
import { Type } from "./type";
export interface IDataSourceVirtualDataProvider extends IDataSourceDataProvider {
    addPageRequest(a: number, b: DataSourcePageRequestPriority): void;
    removePageRequest(a: number): void;
    removeAllPageRequests(): void;
    close(): void;
    pageLoaded: (page: IDataSourcePage, currentFullCount: number, actualPageSize: number) => void;
    pageSizeRequested: number;
}
export declare let IDataSourceVirtualDataProvider_$type: Type;
